import { jsx as _jsx } from "react/jsx-runtime";
import cx from 'classnames';
import './styles.scss';
import DropdownItemList from './DropdownItemList';
export default function DropdownList({ list = [], className = '', onSelect, right = true, }) {
    const getClassNames = cx('ds-dropdown-list', className, {
        right: right,
    });
    return (_jsx("div", { className: getClassNames, children: list.map((item, idx) => (_jsx(DropdownItemList, { item: item, onClick: () => onSelect(item) }, idx.valueOf()))) }));
}
